-- 基础信息
base_info = {
	group_id = 230001016
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
	{ config_id = 49, monster_id = 20010501, pos = { x = -50.843, y = 2.013, z = -97.302 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 50, monster_id = 20010501, pos = { x = -39.255, y = 2.013, z = -97.385 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 51, monster_id = 20011001, pos = { x = -48.464, y = -0.983, z = -95.173 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 52, monster_id = 20011001, pos = { x = -42.740, y = -0.984, z = -101.848 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 53, monster_id = 20011001, pos = { x = -41.658, y = -0.984, z = -93.326 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 158, monster_id = 21010601, pos = { x = -51.344, y = 2.013, z = -97.825 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, disableWander = true },
	{ config_id = 159, monster_id = 21010601, pos = { x = -39.056, y = 2.013, z = -98.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, disableWander = true },
	{ config_id = 160, monster_id = 21010701, pos = { x = -41.310, y = 2.016, z = -111.282 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 161, monster_id = 21010701, pos = { x = -48.163, y = 2.016, z = -111.414 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 162, monster_id = 21010501, pos = { x = -50.867, y = 2.013, z = -98.984 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 163, monster_id = 21010501, pos = { x = -39.420, y = 2.013, z = -99.040 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 164, monster_id = 21010501, pos = { x = -39.369, y = 2.013, z = -96.941 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 165, monster_id = 21010501, pos = { x = -50.513, y = 2.013, z = -96.883 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 118, gadget_id = 70220004, pos = { x = -48.011, y = -0.984, z = -103.388 }, rot = { x = 0.000, y = 177.376, z = 0.000 }, level = 1 },
	{ config_id = 119, gadget_id = 70220004, pos = { x = -42.041, y = -0.984, z = -102.799 }, rot = { x = 0.000, y = 335.536, z = 0.000 }, level = 1 },
	{ config_id = 120, gadget_id = 70220004, pos = { x = -42.223, y = -0.984, z = -96.630 }, rot = { x = 0.000, y = 149.468, z = 0.000 }, level = 1 },
	{ config_id = 121, gadget_id = 70220004, pos = { x = -48.044, y = -0.983, z = -96.458 }, rot = { x = 0.000, y = 26.786, z = 0.000 }, level = 1 },
	{ config_id = 122, gadget_id = 70220004, pos = { x = -42.482, y = -0.983, z = -91.291 }, rot = { x = 0.000, y = 262.649, z = 0.000 }, level = 1 },
	{ config_id = 123, gadget_id = 70220004, pos = { x = -48.525, y = -0.983, z = -90.974 }, rot = { x = 0.000, y = 67.663, z = 0.000 }, level = 1 },
	{ config_id = 124, gadget_id = 70220004, pos = { x = -42.163, y = -0.984, z = -87.132 }, rot = { x = 0.000, y = 342.120, z = 0.000 }, level = 1 },
	{ config_id = 125, gadget_id = 70220004, pos = { x = -49.290, y = -0.984, z = -86.877 }, rot = { x = 0.000, y = 226.856, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = true
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { 49, 50, 51, 52, 53 },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = suite_2,
		monsters = { 158, 159, 160, 161 },
		gadgets = { 118, 119, 120, 121, 122, 123, 124, 125 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = suite_3,
		monsters = { 162, 163, 164, 165 },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================
